package piskvorky;

public class Piskvorky {
    private static final int HRAC_1 = 0;
    private static final int HRAC_2 = 1;
    private static final int PRAZDNE_POLICKO = -4;
    
    private int aktualnyHrac = HRAC_1;
    
    private int[][] pole = new int[3][3];

    public Piskvorky() {
        for (int i = 0; i < pole.length; i++) {
            for (int j = 0; j < pole.length; j++) {
                pole[i][j] = PRAZDNE_POLICKO;
            }
        }
    }
    
    VysledokTahu tah(int riadok, int stlpec) {
        //TODO overit, ci hrac moze
        // umiestnit svoj symbol
        pole[riadok][stlpec] = aktualnyHrac;
        
        VysledokTahu vysledok = overStavPlochy();
        if(vysledok == VysledokTahu.NIK_NEVYHRAL) {
            zmenAktualnehoHraca();
        }
        return vysledok;
    }

    private void zmenAktualnehoHraca() {
        if(aktualnyHrac == HRAC_1) {
            aktualnyHrac = HRAC_2;
        } else {
            aktualnyHrac = HRAC_1;
        }
    }

    private VysledokTahu overStavPlochy() {
        int sucet = 0;
        for (int i = 0; i < pole.length; i++) {
            sucet = sucet + pole[i][0];
        }
        if(sucet == 3) {
            return VysledokTahu.VYHRAL_HRAC_2;
        } 
        if(sucet == 0) {
            return VysledokTahu.VYHRAL_HRAC_1;
        }
        return VysledokTahu.NIK_NEVYHRAL;
    }

}
